#
# spec file for package courier-authlib
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           courier-authlib
BuildRequires:  expect gcc-c++ mysql-devel openldap2-devel pam-devel postgresql-devel pkgconfig
BuildRequires:	sqlite-devel >= 3.5
%if 0%{?centos_version} == 5 || 0%{?fedora_version} || 0%{?rhel_version}
BuildRequires:	libtool-ltdl-devel
%endif
%if 0%{?suse_version} >= 1030
BuildRequires:	gdbm-devel procps
%endif

Summary:        Courier Authentication Library
Version:        0.66.0
Release:        2.1
License:        GPL
Group:          Productivity/Networking/Email/Servers
URL:            http://www.courier-mta.org/imap/
Source:         %{name}-%{version}.tar.bz2
Source1:        courier-authdaemon.init
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define authdaemondir   %{_localstatedir}/run/authdaemon.courier-imap

%description
The Courier authentication library provides authentication services for
other Courier applications.



%package devel
Summary:        Development libraries for the Courier authentication library
Group:          Productivity/Networking/Email/Servers
Requires:       courier-authlib = %{version}

%description devel
This package contains the development libraries and files needed to
compile Courier packages that use this authentication library.	Install
this package in order to build the rest of the Courier packages.  After
they are built and installed this package can be removed.  Files in
this package are not needed at runtime.



%package -n libauthuserdb
Summary:        Userdb support for the Courier authentication library
Group:          Productivity/Networking/Email/Servers
Requires:       courier-authlib = %{version}
Provides:	courier-authlib-userdb = %{version}
Obsoletes:	courier-authlib-userdb

%description -n libauthuserdb
This package installs the userdb support for the Courier authentication
library.  Userdb is a simple way to manage virtual mail accounts using
a GDBM-based database file.



%package -n libauthldap
Summary:        LDAP support for the Courier authentication library
Group:          Productivity/Networking/Email/Servers
Requires:       courier-authlib = %{version}
Provides:	courier-authlib-ldap = %{version}
Obsoletes:	courier-authlib-ldap

%description -n libauthldap
This package installs LDAP support for the Courier authentication
library. Install this package in order to be able to authenticate using
LDAP.



%package -n libauthmysql
Summary:        MySQL support for the Courier authentication library
Group:          Productivity/Networking/Email/Servers
Requires:       courier-authlib = %{version}
Provides:	courier-authlib-mysql = %{version}
Obsoletes:	courier-authlib-mysql

%description -n libauthmysql
This package installs MySQL support for the Courier authentication
library. Install this package in order to be able to authenticate using
MySQL.



%package -n libauthpgsql
Summary:        PostgreSQL support for the Courier authentication library
Group:          Productivity/Networking/Email/Servers
Requires:       courier-authlib = %{version}
Provides:	courier-authlib-pgsql = %{version}
Obsoletes:	courier-authlib-pgsql

%description -n libauthpgsql
This package installs PostgreSQL support for the Courier authentication
library. Install this package in order to be able to authenticate using
PostgreSQL.



%package -n libauthpipe
Summary:        Pipe support for the Courier authentication library
Group:          Productivity/Networking/Email/Servers
Requires:       courier-authlib = %{version}
Provides:	courier-authlib-pipe = %{version}
Obsoletes:	courier-authlib-pipe

%description -n libauthpipe
This package installs Pipe support for the Courier authentication
library. Install this package in order to be able to authenticate using
Pipe.

%package -n libauthsqlite
Summary:        SQLite support for the Courier authentication library
Group:          Productivity/Networking/Email/Servers
Requires:       courier-authlib = %{version}
Provides:       courier-authlib-sqlite = %{version}
Obsoletes:      courier-authlib-sqlite

%description -n libauthsqlite
This package installs SQLite support for the Courier authentication
library. Install this package in order to be able to authenticate using
SQLite.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED=1"
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir}/courier-imap \
	--libdir=%{_libdir} --libexecdir=%{_prefix}/lib \
	--localstatedir=%{_localstatedir} \
	--sharedstatedir=%{_sharedstatedir}/courier-authlib \
	--mandir=%{_mandir} --infodir=%{_infodir} --with-piddir=/var/run \
	--disable-root-check \
	--enable-unicode \
	--with-authdaemonvar=%{authdaemondir} \
	--with-sqlite-libs=%{_libdir} \
	--with-sqlite-inc=%{_includedir} \
	--host=%{_host} --build=%{_build} --target=%{_target_platform} || cat config.log
#	--with-mysql-libs=/usr/lib/mysql/ --with-mysql-includes=/usr/lib/mysql/
%{__make}

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip
mv $RPM_BUILD_ROOT%{_libdir}/courier-authlib/lib*.so* $RPM_BUILD_ROOT%{_libdir}
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/courier-authlib/*.{a,la}
%{__install} -m 755 sysconftool $RPM_BUILD_ROOT%{_prefix}/lib/courier-authlib
%{__install} -m 755 authmigrate $RPM_BUILD_ROOT%{_prefix}/lib/courier-authlib
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/init.d
%{__mkdir_p} $RPM_BUILD_ROOT%{_sbindir}
%{__install} -m 755 %{S:1} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/courier-authdaemon
ln -sf /etc/init.d/courier-authdaemon $RPM_BUILD_ROOT%{_sbindir}/rccourier-authdaemon

%post
/sbin/ldconfig
%{_prefix}/lib/courier-authlib/authmigrate >/dev/null
%{_prefix}/lib/courier-authlib/sysconftool %{_sysconfdir}/authlib/*.dist >/dev/null

%preun
%stop_on_removal courier-authdaemon
if [ "$1" = "0" ]; then
  rm -f /var/run/authdaemon.courier-imap/{socket,pid,pid.lock}
fi
exit 0

%postun
/sbin/ldconfig
%restart_on_update courier-authdaemon
%insserv_cleanup
exit 0

%post -n libauthldap -p /sbin/ldconfig

%postun -n libauthldap -p /sbin/ldconfig

%post -n libauthuserdb -p /sbin/ldconfig

%postun -n libauthuserdb -p /sbin/ldconfig

%post -n libauthmysql -p /sbin/ldconfig

%postun -n libauthmysql -p /sbin/ldconfig

%post -n libauthpgsql -p /sbin/ldconfig

%postun -n libauthpgsql -p /sbin/ldconfig 

%post -n libauthpipe -p /sbin/ldconfig

%postun -n libauthpipe -p /sbin/ldconfig 

%post -n libauthsqlite -p /sbin/ldconfig

%postun -n libauthsqlite -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README*html
%doc NEWS COPYING* AUTHORS ChangeLog
%{_sysconfdir}/init.d/courier-authdaemon
%dir %{_sysconfdir}/authlib
%config %{_sysconfdir}/authlib/*.dist
%dir %attr(700,root,root) /var/run/authdaemon.courier-imap
%{_sbindir}/authdaemond
%{_sbindir}/authenumerate
%{_sbindir}/authpasswd
%{_sbindir}/authtest
%{_sbindir}/courierlogger
%{_sbindir}/rccourier-authdaemon
%dir /usr/lib/courier-authlib
/usr/lib/courier-authlib/authmigrate
/usr/lib/courier-authlib/sysconftool
/usr/lib/courier-authlib/authdaemond
/usr/lib/courier-authlib/authsystem.passwd
#/usr/lib/courier-authlib/makedatprog
%{_libdir}/libauthcustom.so
%{_libdir}/libauthcustom.so.0*
%{_libdir}/libauthpam.so
%{_libdir}/libauthpam.so.0*
%{_libdir}/libcourierauth.so
%{_libdir}/libcourierauth.so.0*
%{_libdir}/libcourierauthcommon.so
%{_libdir}/libcourierauthcommon.so.0*
%{_libdir}/libcourierauthsasl.so
%{_libdir}/libcourierauthsasl.so.0*
%{_libdir}/libcourierauthsaslclient.so
%{_libdir}/libcourierauthsaslclient.so.0*
%{_mandir}/man1/*

%files -n libauthuserdb
%defattr(-,root,root,-)
%{_sbindir}/makeuserdb
%{_sbindir}/pw2userdb
%{_sbindir}/userdb
%{_sbindir}/userdb-test-cram-md5
%{_sbindir}/userdbpw
#%{_sbindir}/vchkpw2userdb
%{_libdir}/libauthuserdb.so
%{_libdir}/libauthuserdb.so.0*
%{_mandir}/man8/*userdb*

%files devel
%defattr(-,root,root,-)
%{_bindir}/courierauthconfig
%{_includedir}/*
%{_mandir}/man3/*
%doc authlib.html auth_*.html

%files -n libauthldap
%defattr(-,root,root,-)
%doc authldap.schema
%doc README.ldap
%{_libdir}/libauthldap.so*
%doc authldap.schema

%files -n libauthmysql
%defattr(-,root,root,-)
%{_libdir}/libauthmysql.so*

%files -n libauthpgsql
%defattr(-,root,root,-)
%{_libdir}/libauthpgsql.so*

%files -n libauthpipe
%defattr(-,root,root,-)
%{_libdir}/libauthpipe.so*

%files -n libauthsqlite
%defattr(-,root,root,-)
%{_libdir}/libauthsqlite.so*

%changelog
* Sun Sep 29 2013 cs@linux-administrator.com
- update to release 0.66.0
* Sun Oct 21 2012 cs@linux-administrator.com
- update to release 0.65.0
* Sun Aug  5 2012 cs@linux-administrator.com
- update to release 0.64.0
